Categories:
  - System
License: GPL-3.0-only
WebSite: https://gitlab.com/juanitobananas/pocket-up
SourceCode: https://gitlab.com/juanitobananas/pocket-up/tree/HEAD
IssueTracker: https://gitlab.com/juanitobananas/pocket-up/issues
Changelog: https://gitlab.com/juanitobananas/pocket-up/blob/HEAD/CHANGELOG.md
Bitcoin: 16DXeCxxKGvepYLehyHSr3M1nv1s1eUotZ

AutoName: Pocket Up
Description: |-
    Wakes up your phone when you take it out of your pocket.

    Just take your phone out of your pocket or purse (or open the lid) and the
    screen will switch on automatically.

    '''Required Android Permissions:'''

    * WAKE_LOCK to turn on the screen.
    * RECEIVE_BOOT_COMPLETED to automatically startup on boot if enabled.

RepoType: git
Repo: https://gitlab.com/juanitobananas/pocket-up.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.2
    versionCode: 3
    commit: v1.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.3
    versionCode: 4
    commit: v1.0.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.3a
    versionCode: 5
    commit: v1.0.3a
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.4
    versionCode: 6
    commit: v1.0.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 7
    commit: v1.1.0
    subdir: app
    submodules: true
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.1.0
CurrentVersionCode: 7
